Bug 311144 - Webcam configuration bug
Summary: Webcam configuration bug
Status: RESOLVED FIXED
Alias: None
Product: simon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Peter Grasch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-04 11:10 UTC by Yash Shah
Modified: 2012-12-10 17:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yash Shah 2012-12-04 11:10:20 UTC
Application: simon (0.3.85)
KDE Platform Version: 4.9.3
Qt Version: 4.8.3
Operating System: Linux 3.6.6-1-ARCH x86_64
Distribution: "Arch Linux"

-- Information about the crash:
- What I was doing when the application crashed:

When webcam is not available and i press next and then prev, it crashes.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Simon (simon), signal: Aborted
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fcd7fc01780 (LWP 3540))]

Thread 6 (Thread 0x7fcd69624700 (LWP 3541)):
#0  0x00007fcd78f2318d in poll () from /usr/lib/libc.so.6
#1  0x00007fcd7397db14 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcd7397dc34 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcd7acba756 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007fcd7ac8b31f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007fcd7ac8b5a8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007fcd7ab8c7c0 in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007fcd7ab8f79c in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007fcd7a8ffe0f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fcd78f2b31d in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7fcd63fff700 (LWP 3544)):
#0  0x00007fcd7a903ce1 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcd7ab8fc57 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007fcd7d8fc07a in QSemaphore2::tryAcquire (this=0x2519ad0, n=1706, timeout=<optimized out>) at /home/yash/simon/simonlib/simonsound/qsemaphore2.cpp:229
#3  0x00007fcd7d8faf4f in SoundInputBuffer::run (this=0x2519a90) at /home/yash/simon/simonlib/simonsound/soundinputbuffer.cpp:51
#4  0x00007fcd7ab8f79c in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007fcd7a8ffe0f in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007fcd78f2b31d in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7fcd637fe700 (LWP 3545)):
#0  0x00007fcd7abd9e3e in QString::number(int, int) () from /usr/lib/libQtCore.so.4
#1  0x00007fcd7ab9c36d in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007fcd7ab9cbc3 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007fcd7ab9e1fd in QDateTime::toString(QString const&) const () from /usr/lib/libQtCore.so.4
#4  0x00007fcd7df3c824 in Logger::log (message=..., type=<optimized out>) at /home/yash/simon/simonlib/simonlogging/logger.cpp:85
#5  0x00007fcd7d9004cf in ALSACaptureLoop::run (this=0x24611f0) at /home/yash/simon/simonlib/simonsound/alsa/alsabackend.cpp:85
#6  0x00007fcd7ab8f79c in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007fcd7a8ffe0f in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007fcd78f2b31d in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7fcd62c17700 (LWP 3546)):
#0  0x00007fcd7a903ce1 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcd7ab8fc57 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007fcd7ab8346f in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007fcd7ab8f79c in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007fcd7a8ffe0f in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007fcd78f2b31d in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7fcd3c2ca700 (LWP 3553)):
#0  0x00007fcd7a903ce1 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fcd7ab8e3a6 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007fcd7ab8ebdd in QThread::msleep(unsigned long) () from /usr/lib/libQtCore.so.4
#3  0x00007fcd4d925d6d in WebcamDispatcher::run (this=0x2c5bee0) at /home/yash/simon/simonlib/simonvision/webcamdispatcher.cpp:139
#4  0x00007fcd7ab8f79c in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007fcd7a8ffe0f in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007fcd78f2b31d in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7fcd7fc01780 (LWP 3540)):
[KCrash Handler]
#5  0x00007fcd78e79fd5 in raise () from /usr/lib/libc.so.6
#6  0x00007fcd78e7b458 in abort () from /usr/lib/libc.so.6
#7  0x00007fcd78eb8cfb in __libc_message () from /usr/lib/libc.so.6
#8  0x00007fcd78ebe8a6 in malloc_printerr () from /usr/lib/libc.so.6
#9  0x00007fcd4f676ea0 in CvCaptureCAM_V4L_CPP::open(int) () from /usr/lib/libopencv_highgui.so.2.4
#10 0x00007fcd4f67872d in cvCreateCameraCapture_V4L(int) () from /usr/lib/libopencv_highgui.so.2.4
#11 0x00007fcd4f65d112 in cvCreateCameraCapture () from /usr/lib/libopencv_highgui.so.2.4
#12 0x00007fcd60b43675 in SimonWebcamConfiguration::startWebcam (this=this@entry=0x2c5dda0, webcamIndex=-1) at /home/yash/simon/simonlib/simonvision/config/simonwebcamconfiguration.cpp:115
#13 0x00007fcd60b436f8 in SimonWebcamConfiguration::prevWebcam (this=0x2c5dda0) at /home/yash/simon/simonlib/simonvision/config/simonwebcamconfiguration.cpp:132
#14 0x00007fcd7aca1aaf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x00007fcd7a4848c2 in QAbstractButton::clicked(bool) () from /usr/lib/libQtGui.so.4
#16 0x00007fcd7a1d964e in ?? () from /usr/lib/libQtGui.so.4
#17 0x00007fcd7a1d9e80 in ?? () from /usr/lib/libQtGui.so.4
#18 0x00007fcd7a1da0ec in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#19 0x00007fcd79e6f800 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0x00007fcd79e2008c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007fcd79e24d6b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00007fcd7f61adf6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00007fcd7ac8c5ce in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#24 0x00007fcd79e20ecb in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#25 0x00007fcd79e9b994 in ?? () from /usr/lib/libQtGui.so.4
#26 0x00007fcd79e9a721 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#27 0x00007fcd79ec08b2 in ?? () from /usr/lib/libQtGui.so.4
#28 0x00007fcd7397d845 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#29 0x00007fcd7397db78 in ?? () from /usr/lib/libglib-2.0.so.0
#30 0x00007fcd7397dc34 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#31 0x00007fcd7acba756 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0x00007fcd79ec052e in ?? () from /usr/lib/libQtGui.so.4
#33 0x00007fcd7ac8b31f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0x00007fcd7ac8b5a8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0x00007fcd7a2d3be8 in QDialog::exec() () from /usr/lib/libQtGui.so.4
#36 0x0000000000414978 in SimonView::showSystemDialog (this=0x20c53b0) at /home/yash/simon/simon/src/simonview.cpp:379
#37 0x00007fcd7aca1aaf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#38 0x00007fcd79e19e82 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#39 0x00007fcd79e1a070 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#40 0x00007fcd7a253b03 in ?? () from /usr/lib/libQtGui.so.4
#41 0x00007fcd7a259e19 in ?? () from /usr/lib/libQtGui.so.4
#42 0x00007fcd7f6d43a0 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
#43 0x00007fcd79e6f800 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#44 0x00007fcd7a25b0cb in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
#45 0x00007fcd79e2008c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#46 0x00007fcd79e24d6b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#47 0x00007fcd7f61adf6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#48 0x00007fcd7ac8c5ce in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#49 0x00007fcd79e20ecb in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#50 0x00007fcd79e9b85c in ?? () from /usr/lib/libQtGui.so.4
#51 0x00007fcd79e9a721 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#52 0x00007fcd79ec08b2 in ?? () from /usr/lib/libQtGui.so.4
#53 0x00007fcd7397d845 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#54 0x00007fcd7397db78 in ?? () from /usr/lib/libglib-2.0.so.0
#55 0x00007fcd7397dc34 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#56 0x00007fcd7acba736 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#57 0x00007fcd79ec052e in ?? () from /usr/lib/libQtGui.so.4
#58 0x00007fcd7ac8b31f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#59 0x00007fcd7ac8b5a8 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#60 0x00007fcd7ac90248 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#61 0x000000000040dcce in main (argc=1, argv=0x7fffc4102188) at /home/yash/simon/simon/src/main.cpp:91

Reported using DrKonqi
Comment 1 Yash Shah 2012-12-10 17:02:00 UTC
Git commit bbda5dd3e3f8e40709395ae79cff53ea3f1f8500 by Yash Shah.
Committed on 10/12/2012 at 17:08.
Pushed by yashshah into branch 'master'.

Fixing webcam configuration crash when index becomes less than zero

M  +2    -9    simonlib/simonvision/config/simonwebcamconfiguration.cpp

http://commits.kde.org/simon/bbda5dd3e3f8e40709395ae79cff53ea3f1f8500